Update workflow definition for envelope
Updates the specified envelope's workflow.
You can use this endpoint to add scheduled sending to a draft envelope. You can also update the scheduled sending for a sent envelope if the scheduled sending countdown is in progress. In that case, the envelope will be reset to a draft state.
You can also add delayed routing to a draft envelope or a sent envelope that has not started workflow processing.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Request
This endpoint expects an object: workflow
The workflowStepId of the current step.
This is not an index into the workflowSteps array in this object.
See the workflowStep object.
The ISO 8601 timestamp of when the envelope is scheduled to be sent, if applicable. Its value is the maximum of the resumeDate property on scheduledSending and the resumeDate property on the current workflowStep.
This property is read-only.
The status of the workflow:
pausedif the workflow is pausedin_progressif the workflow is in progress
Response
The workflowStepId of the current step.
This is not an index into the workflowSteps array in this object.
See the workflowStep object.
The ISO 8601 timestamp of when the envelope is scheduled to be sent, if applicable. Its value is the maximum of the resumeDate property on scheduledSending and the resumeDate property on the current workflowStep.
This property is read-only.
The status of the workflow:
pausedif the workflow is pausedin_progressif the workflow is in progress